curl --request POST \
--url https://api.onkernel.com/browsers/{id}/replays \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"framerate": 10,
"max_duration_in_seconds": 2
}
'{
"replay_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"replay_view_url": "https://api.onkernel.com/browser/replays?jwt=eyJ0eXAi...&replay_id=7e2c1a9f-1234-4cde-9abc-ffeedd001122"
}Start recording the browser session and return a replay ID.
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/replays \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"framerate": 10,
"max_duration_in_seconds": 2
}
'{
"replay_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"replay_view_url": "https://api.onkernel.com/browser/replays?jwt=eyJ0eXAi...&replay_id=7e2c1a9f-1234-4cde-9abc-ffeedd001122"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Browser session ID
Recording started successfully.
Information about a browser replay recording.
Unique identifier for the replay recording.
Timestamp when replay started
Timestamp when replay finished
URL for viewing the replay recording.
"https://api.onkernel.com/browser/replays?jwt=eyJ0eXAi...&replay_id=7e2c1a9f-1234-4cde-9abc-ffeedd001122"